import config from 'config';
import manticore from 'manticoresearch';

const mantiClient = new manticore.ApiClient();

mantiClient.basePath = `http://${config.database.manticore.host}:${config.database.manticore.httpPort}`;

export const searchApi = new manticore.SearchApi(mantiClient);
export const indexApi = new manticore.IndexApi(mantiClient);
export const utilsApi = new manticore.UtilsApi();
